Subscriptions

Create a Subscription

Creates a new subscription to listen to transform or error events.

POST
/v1-alpha/subscriptions
x-api-key<token>

Authenticate using API Key in request header

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.bem.ai/v1-alpha/subscriptions" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "type": "transform"  }'
{
  "name": "string",
  "subscriptionID": "string",
  "type": "transform",
  "functionID": "string",
  "functionName": "string",
  "collectionID": "string",
  "collectionName": "string",
  "disabled": true,
  "webhookURL": "string",
  "s3Bucket": "string",
  "s3FilePath": "string",
  "googleDriveFolderID": "string"
}